BASENAME(1)

NAME
basename, dirname - return filename or directory portion of pathname

SYNOPSIS
basename string [suffix]
dirname string

DESCRIPTION
basename deletes any prefix ending with the last slash ‘/’ character present in string, and a suffix, if given. The resulting filename is written to the standard output. A non-existent suffix is ignored.

dirname deletes the filename portion, beginning with the last slash ‘/’ character to the end of string, and writes the result to the standard output.

EXIT STATUS
Both the basename and dirname utilities exit 0 on success, and >0 if an error occurs.

EXAMPLES
The following line sets the shell variable FOO to /usr/bin.

    FOO=`dirname /usr/bin/trail`

SEE ALSO
csh(1), sh(1), basename(3), dirname(3)

STANDARDS
The basename and dirname utilities conform to p1003.2-92.